Name:           mirrormanager
Version:        1.3.3
Release:        2%{?dist}
Summary:        Fedora mirror management system
BuildArch:      noarch

Group:          Applications/Internet
License:        MIT and GPLv2
URL:            http://fedorahosted.org/mirrormanager
Source0:        https://fedorahosted.org/releases/m/i/%{name}/%{name}-%{version}.tar.bz2
Patch0:         mirrormanager-1.3.3-confirm-delete.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  python
Requires:       TurboGears, python-IPy, python-GeoIP, wget, yum, psmisc, python-dns, python-fedora >= 0.3.14, py-radix, mod_wsgi
Requires(pre):  shadow-utils

%define py_ver         %(echo `python -c "import sys; print sys.version[:3]"`)
%if "%{py_ver}" < "2.5"
# for md5, sha1, sha256, which are native to python 2.5 and higher
Requires: python-hashlib
%endif

%description
MirrorManager tracks all the content provided on a master mirror
server, and that of all public and private mirrors of that content.
This package contains the application server, database schema and
hosted tools.

%package client
Requires:       python
Summary:        Fedora mirror management system downstream mirror tools
Group:          Applications/Internet

%description client
Client-side, run on each downstream mirror, to report back to the
MirrorManager database a description of the content carried by that
mirror.

%prep
%setup -q
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT CONFFILE="%{_sysconfdir}/%{name}/prod.cfg" PROGRAMDIR="%{_datadir}/%{name}/server" SBINDIR="%{_sbindir}"


%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group mirrormanager >/dev/null || groupadd -r mirrormanager
getent passwd mirrormanager >/dev/null || \
  useradd -r -g mirrormanager -d /var/lib/mirrormanager -s /sbin/nologin \
  -c "MirrorManager" mirrormanager
exit 0

%files
%defattr(-,root,root,-)
%{_datadir}/%{name}
%attr(-,mirrormanager,mirrormanager) %dir %{_localstatedir}/lib/%{name}/
%attr(-,mirrormanager,mirrormanager) %dir %{_localstatedir}/run/%{name}/
%attr(-,mirrormanager,mirrormanager) %dir %{_localstatedir}/log/%{name}/
%attr(-,mirrormanager,mirrormanager) %dir %{_localstatedir}/log/%{name}/crawler/
%attr(-,mirrormanager,mirrormanager) %dir %{_localstatedir}/lock/%{name}/
%attr(-,mirrormanager,mirrormanager) %dir %{_sysconfdir}/%{name}/
%attr(-,mirrormanager,mirrormanager) %config(noreplace) /etc/mirrormanager/prod.cfg
%attr(-,mirrormanager,mirrormanager) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(-,mirrormanager,mirrormanager) %config(noreplace) %{_sysconfdir}/httpd/conf.d/mirrormanager.conf
%attr(-,mirrormanager,mirrormanager) %config(noreplace) %{_sysconfdir}/httpd/conf.d/mirrorlist-server.conf
%dir /etc/rpmlint/
%config(noreplace) /etc/rpmlint/%{name}.config
%doc LICENSES LICENSE-MIT-X11 LICENSE-GPLv2
%doc server/*.cfg server/prod.cfg.example README.rpm_setup
%doc server/UPGRADING.txt server/sqlobject-patches/

%files client
%defattr(-,root,root,-)
%{_bindir}/report_mirror
%dir %{_sysconfdir}/%{name}-client
%config(noreplace) %{_sysconfdir}/%{name}-client/report_mirror.conf
%doc LICENSE-MIT-X11 client/README


%changelog
* Mon Oct 26 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.3.3-2
- add patch to fix confirm delete from webui

* Mon Oct 26 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.3.3-1
- initial setup patches from BJ Dierkes
  - simpler mirrormanager.initial, README.rpm_setup, prod.cfg
  - add user mirrormanager and group mirrormanager, content permissions
- improved BGP ASN lookups using py-radix
- create mirrormanager user and group if not already present

* Thu Sep 28 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.3.2-1
- add BGP ASN lookups

* Fri Sep 18 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.3.1-1
- fix publiclist html
- fix Host netblock creation via web UI

* Mon Sep  7 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.3.0-1
- add CSRF protection, add Requires: python-fedora
- add IPv6 capability
- switch DNS lookups to use python-dns
- other misc bugfixes

* Thu Jul  9 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.12-1
- bug fixes post F11 release

* Mon Apr 20 2009 Mike McGrath <mmcgrath@fedoraproject.org> 1.2.11-2
- Added psmisc Requires

* Tue Apr  7 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.11-1
- fix quite a few bugs from previous version

* Mon Apr  6 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.10-1
- improved crawler repomd.xml verification
- improved publiclist generation
- fix categorymap logic
- WSGI-ify web application
- vastly speed up report_mirror (no more stat()s on every file)
- vastly speed up umdl
- add rsyncFilter

* Mon Feb 23 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.9-1
- Adrian Reber:
      mirrorlist-server: check values returned by geoip before printing
      mirrorlist-server: ignore SIGCHLD to not have zombie processes
      server: also use project name and URL from config file for publiclist
      server: removed debug messages to decrease MM's verbosity
      server: make it work with Fedora's 10 python version
- Jeroen van Meeuwen:
      Strip duplicate // from the path requested
- Matt Domsch:
      revert publiclist_host() changes from 6a056929007b9b6bdf35367818e1212895c5bdec
         which weren't any faster and yet generated incorrect results.
      add item to TODO
      add push-mirroring doc
      mirrorlist: add trailing / to returned URLs to directories.
      Better handle Host creation form validation failure error case.

* Tue Dec  2 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.8-1
- don't place metalink-downloaded files deep in a directory tree

* Mon Dec  1 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.7-1
- Adrian Reber
  add mirrorlist_statistics.py
- Matt Domsch
  fix metalinks, cleanup publiclist a bit, add s390x
  cleanup license files

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.6-2
- Rebuild for Python 2.6

* Mon Oct 13 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.6-1
- even more bugfixes

* Sat Oct  4 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.5-1
- more bugfixes

* Fri Oct  3 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.4-1
- more bugfixes

* Sun Sep 28 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.3-1
- lots of bugfixes

* Fri Sep 26 2008 Matt Domsch <mdomsch@fedoraproject.org> - 1.2.2-1
- initial package attempt
